Bug 196183

Summary: [Web GPU] Standardize Web GPU object reference counting and creation logic
Product: WebKit Reporter: Justin Fan <justin_fan>
Component: New BugsAssignee: Justin Fan <justin_fan>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dino, ews-watchlist, graouts, jonlee, kondapallykalyan, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch for landing none

Description Justin Fan 2019-03-23 21:22:19 PDT
[Web GPU] Standardize Web GPU object creation logic
Comment 1 Justin Fan 2019-03-25 10:53:56 PDT
Created attachment 365875 [details]
Patch
Comment 2 Jon Lee 2019-03-25 14:06:34 PDT
rdar://problem/46819458
Comment 3 WebKit Commit Bot 2019-03-25 15:32:20 PDT
Comment on attachment 365875 [details]
Patch

Rejecting attachment 365875 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'apply-attachment', '--no-update', '--non-interactive', 365875, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Last 5000 characters of output:
 196183.
Fetching: https://bugs.webkit.org/attachment.cgi?id=365875
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Dean Jackson']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 45 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/Modules/webgpu/WebGPUAdapter.h
patching file Source/WebCore/Modules/webgpu/WebGPUBindGroup.h
patching file Source/WebCore/Modules/webgpu/WebGPUBindGroupDescriptor.cpp
patching file Source/WebCore/Modules/webgpu/WebGPUBindGroupDescriptor.h
patching file Source/WebCore/Modules/webgpu/WebGPUBindGroupLayout.h
patching file Source/WebCore/Modules/webgpu/WebGPUBuffer.h
patching file Source/WebCore/Modules/webgpu/WebGPUCommandEncoder.cpp
Hunk #1 succeeded at 47 (offset -2 lines).
Hunk #2 succeeded at 59 (offset -2 lines).
Hunk #3 succeeded at 72 (offset -2 lines).
Hunk #4 succeeded at 86 with fuzz 1 (offset -12 lines).
patching file Source/WebCore/Modules/webgpu/WebGPUCommandEncoder.h
Hunk #1 FAILED at 58.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/Modules/webgpu/WebGPUCommandEncoder.h.rej
patching file Source/WebCore/Modules/webgpu/WebGPUDevice.cpp
Hunk #1 succeeded at 76 (offset -2 lines).
Hunk #2 succeeded at 100 (offset -2 lines).
Hunk #3 succeeded at 120 (offset -2 lines).
Hunk #4 succeeded at 133 (offset -2 lines).
Hunk #5 succeeded at 157 (offset -12 lines).
patching file Source/WebCore/Modules/webgpu/WebGPUDevice.h
Hunk #1 succeeded at 65 with fuzz 2 (offset -2 lines).
Hunk #2 succeeded at 80 (offset -3 lines).
patching file Source/WebCore/Modules/webgpu/WebGPUPipelineLayout.cpp
patching file Source/WebCore/Modules/webgpu/WebGPUPipelineLayout.h
patching file Source/WebCore/Modules/webgpu/WebGPUPipelineLayoutDescriptor.cpp
patching file Source/WebCore/Modules/webgpu/WebGPUPipelineLayoutDescriptor.h
patching file Source/WebCore/Modules/webgpu/WebGPUQueue.cpp
patching file Source/WebCore/Modules/webgpu/WebGPUQueue.h
patching file Source/WebCore/Modules/webgpu/WebGPURenderPassDescriptor.cpp
patching file Source/WebCore/Modules/webgpu/WebGPURenderPassEncoder.cpp
patching file Source/WebCore/Modules/webgpu/WebGPUSampler.h
patching file Source/WebCore/Modules/webgpu/WebGPUShaderModule.cpp
patching file Source/WebCore/Modules/webgpu/WebGPUShaderModule.h
patching file Source/WebCore/Modules/webgpu/WebGPUSwapChain.h
patching file Source/WebCore/Modules/webgpu/WebGPUTexture.h
patching file Source/WebCore/Modules/webgpu/WebGPUTextureView.h
patching file Source/WebCore/Sources.txt
Hunk #1 FAILED at 361.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/Sources.txt.rej
patching file Source/WebCore/WebCore.xcodeproj/project.pbxproj
Hunk #1 FAILED at 14008.
Hunk #2 succeeded at 26257 with fuzz 1 (offset -18 lines).
1 out of 2 hunks FAILED -- saving rejects to file Source/WebCore/WebCore.xcodeproj/project.pbxproj.rej
patching file Source/WebCore/platform/graphics/gpu/GPUBindGroupBinding.h
patching file Source/WebCore/platform/graphics/gpu/GPUBindGroupDescriptor.h
patching file Source/WebCore/platform/graphics/gpu/GPUBuffer.h
patching file Source/WebCore/platform/graphics/gpu/GPUDevice.cpp
Hunk #1 succeeded at 48 (offset -3 lines).
Hunk #2 succeeded at 73 with fuzz 1 (offset -3 lines).
Hunk #3 succeeded at 94 (offset -8 lines).
patching file Source/WebCore/platform/graphics/gpu/GPUDevice.h
Hunk #1 FAILED at 63.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/platform/graphics/gpu/GPUDevice.h.rej
patching file Source/WebCore/platform/graphics/gpu/GPUPipelineLayout.cpp
patching file Source/WebCore/platform/graphics/gpu/GPUPipelineLayout.h
patching file Source/WebCore/platform/graphics/gpu/GPUPipelineLayoutDescriptor.h
patching file Source/WebCore/platform/graphics/gpu/GPURenderPipeline.h
patching file Source/WebCore/platform/graphics/gpu/GPUShaderModule.h
patching file Source/WebCore/platform/graphics/gpu/cocoa/GPUBindGroupMetal.mm
Hunk #1 FAILED at 80.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/platform/graphics/gpu/cocoa/GPUBindGroupMetal.mm.rej
patching file Source/WebCore/platform/graphics/gpu/cocoa/GPUBufferMetal.mm
patching file Source/WebCore/platform/graphics/gpu/cocoa/GPUCommandBufferMetal.mm
patching file Source/WebCore/platform/graphics/gpu/cocoa/GPUDeviceMetal.mm
patching file Source/WebCore/platform/graphics/gpu/cocoa/GPURenderPipelineMetal.mm
Hunk #1 succeeded at 417 (offset -1 lines).
Hunk #2 FAILED at 435.
1 out of 2 hunks FAILED -- saving rejects to file Source/WebCore/platform/graphics/gpu/cocoa/GPURenderPipelineMetal.mm.rej
patching file Source/WebCore/platform/graphics/gpu/cocoa/GPUShaderModuleMetal.mm
patching file LayoutTests/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file LayoutTests/webgpu/shader-modules.html

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Dean Jackson']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/11664897
Comment 4 Justin Fan 2019-03-25 16:01:18 PDT
A previous change of mine that this was depending on has been reverted; holding off on merging this until that issue is resolved.
Comment 5 Justin Fan 2019-03-27 13:08:11 PDT
Created attachment 366096 [details]
Patch for landing
Comment 6 WebKit Commit Bot 2019-03-27 13:48:06 PDT
Comment on attachment 366096 [details]
Patch for landing

Clearing flags on attachment: 366096

Committed r243563: <https://trac.webkit.org/changeset/243563>
Comment 7 WebKit Commit Bot 2019-03-27 13:48:08 PDT
All reviewed patches have been landed.  Closing bug.